[Date Prev][Date Next] [Chronological] [Thread] [Top]

smbk5pwd overlay assert/crash

Hi everyone

I tried to get the smbk5pwd overlay working on SLES11 (openldap 2.4.26).

Unfortunately the slapd server crashes when I try to change a password as soon as the overlay is enabled.

Running the server either with strace or gdb shows the following as cause for the crash:



  mods.c:64: modify_add_values: Assertion `mod->sm_numvals == i' failed.


To build the smbk5pwd on SLES I patched the original spec file and the Makefile for smbk5pwd to enable only Shadow- and LM/NT-Hash password synchronization (no Kerberos/Heimdal support).


Other overlays in the stack are (in their respective order):

* syncprov

* dynlist

* unique

* (smbk5pwd)

* ppolicy (disabling this does not help)


Has anyone seen this problem? How can/should I proceed to (help) debug this bug?


Thanks in advance,

Best regards,


stepping stone GmbH
Neufeldstrasse 9
CH-3012 Bern

Telefon: +41 31 332 53 63